import request from '../utils/request.js';
import Qs from 'qs';

export function test(data) {
	return request({
		method: 'post',
		data: data,
		url: '/test/post'
	})
}

//查询班次
export function getShiftInfo(data) {
	return request({
		url: '/mobile/passengerApi/getShiftInfo',
		data: {
			id:data
		},
		method: 'post',
	})
}

//查询站点
export function getVehicleStationInfo(data) {
	return request({
		url: '/mobile/passengerApi/getVehicleStationInfo',
		data: {
			id:data
		},
		method: 'post',
	})
}
//查询车辆
export function getVehicleInfo(data) {
	return request({
		url: '/mobile/passengerApi/getVehicleInfo',
		data: {
			id:data
		},
		method: 'post',
	})
}
//车牌号查询
export function passengerApi(data) {
	return request({
		url: '/mobile/passengerApi/',
		data: Qs.stringify(data),
		method: 'post',
	})
}

//匹配照片
export function matchFaceImage(data) {
	return request({
		url: '/mobile/passengerApi/matchFaceImage',
		data: Qs.stringify(data),
		method: 'post',
	})
}

//查询车辆
export function getPassengerInfo(data) {
	return request({
		url: '/mobile/passengerApi/getPassengerInfo',
		data: Qs.stringify(data),
		method: 'post',
	})
}

//查询未购票人数
export function upBusNoTicketList(data) {
	return request({
		url: '/mobile/passengerApi/upBusNoTicketList',
		data: Qs.stringify(data),
		method: 'post',
	})
}

//创建订单
export function createPassengerOrder(data) {
	return request({
		url: '/mobile/passengerApi/createPassengerOrder',
		data: Qs.stringify(data),
		method: 'post',
	})
}
//修改订单
export function updatePassengerOrder(data) {
	return request({
		url: '/mobile/passengerApi/updatePassengerOrder',
		data: Qs.stringify(data),
		method: 'post',
	})
}

//查询金额
export function ticketAmount(data) {
	return request({
		url: '/mobile/driverApi/ticketAmount',
		data: Qs.stringify(data),
		method: 'post',
	})
}
// 删除订单
export function deletePassengerOrder(data) {
	return request({
		url: '/mobile/passengerApi/deletePassengerOrder',
		data: Qs.stringify(data),
		method: 'post',
	})
}