import request from '../utils/request.js';
import Qs from 'qs';


export function test(data) {
	return request({
		method: 'post',
		data: data,
		url: '/test/post'
	})
}

//未读信息
export function passengerMessageNoReadNum(data) {
	
	return request({
		url: '/mobile/passengerApi/passengerMessageNoReadNum',
		data:data,
		method: 'post',
	})
}
export function passengerNearbyStation(data) {
	return request({
		method: 'post',
		data: Qs.stringify(data),
		
		url: '/mobile/passengerApi/passengerNearbyStation'
	})
}
export function getBannerInfo(data) {
	return request({
		method: 'post',
		data: {
			type:data
		},
		
		url: '/mobile/bannerInfo/getBannerInfo'
		
	})
}
//查询当前人
export function queryRemind(data) {
	return request({
		method: 'get',
	
		url: '/mobile/stationRemindApi/findCurrentVehicle?openId='+data
	})
}
// 创建
export function saveRemind(data) {
	return request({
		method: 'post',
		data: Qs.stringify(data),
		
		url: '/mobile/stationRemindApi/add'
	})
}

export function cancelRemind(data) {
	return request({
		method: 'post',
		data: {
			id:data
		},
		url: '/mobile/stationRemindApi/cancel'
	})
}

export function nearbyStationInfo(data) {
	return request({
		method: 'post',
		data:data,
		url: '/mobile/passengerApi/nearbyStationInfo'
	})
}

export function getRegionList(data) {
	return request({
		method: 'post',
		data:data,
		url: '/mobile/passengerApi/getRegionList'
	})
}
export function getOwnerRegion(data) {
	return request({
		method: 'post',
		data:data,
		url: '/mobile/passengerApi/getOwnerRegion'
	})
}