var prefix = 'jp_car_' + process.car.NODE_ENV + '_';

var app = {
	
	 getPrefix:()=> prefix,
	get : key =>  uni.getStorageSync(prefix + key),

	set : (key, value) => uni.setStorageSync(prefix + key, value),
	remove: key =>  uni.removeStorageSync(prefix + key),
	
	getPersonInfo : () => {
		 return uni.getStorageSync(prefix + 'personInfo')
	},
	signOut:()=>  uni.removeStorageSync(prefix  + 'personInfo'),
	getOpenId : () =>   uni.getStorageSync(prefix + 'wx_openId'),

	setOpenId : (value) => uni.setStorageSync(prefix + 'wx_openId', value),
	setPersonInfo : (value) => uni.setStorageSync(prefix + 'personInfo', value),
	
	getToken : () =>  uni.getStorageSync(prefix + 'token'),
	setToken : (value) => uni.setStorageSync(prefix + 'token', value),
	
	
}

module.exports = app
