
import * as API from '@/apis/common.js'

	export default {
		data() {
			return {
				id:"",
				pay:{
					list:[]
				}
			}
		},
		methods: {
			lookBtn(){
				uni.navigateTo({
					 url: '/pages/my/user/bybusList'
				})
			},
			getPay(){
				this.$refs.common.showLoading();
								
				API.mergeInfo(this.id).then((response) => {
					
					this.pay=response.data;
					this.$refs.common.showLoading(false);
				}).catch(error => {
					this.$refs.common.showLoading(false, error);
				})	
			},
			gotoHome(){
				uni.switchTab({
				    url: '/pages/index/index'
				});
			},
			backBtn(){
				uni.redirectTo({
					 url: '/pages/buytickets/index?id='+this.pay.id
				})
			}
		},
		onLoad(op) {		
			 this.id=op.id;	
		},onReady(){
			if(!process.car.SIMPLE_RUN){
				this.getPay();
			}
			
		}
	}

