export default {
		data() {
			return {
				user:{},
				pic:'static/img/user.png',
				show:true,
			}
		},
		onLoad() {
			
		},
		methods: {
			gotoUrl(url,bl){
				if(this.user||bl){
					uni.navigateTo({
						url:url
					})
				}else{
					this.$refs.common.alert('请登录后操作！')
					
				}
				
			},
			makePhoneCall(tel){
				uni.makePhoneCall({
				    phoneNumber: tel //仅为示例
				});
			},
			showphone(phone){
				if(!phone){
					return "";
				}
				if(phone.length!=11){
					return "";
				}
				return phone.substring(0,3)+'****'+phone.substring(8);
			},
			signOut(){
				this.$refs.common.setFnc(()=>{
					this.carhelp.signOut()
					uni.redirectTo({
						url: '/pages/car/login'
					})
				})
				this.$refs.common.confirm('确认是否退出账号？')
			}
		},onReady(){
			this.user=this.carhelp.getPersonInfo();
				
			if(this.user.faceImage){
					this.pic=this.user.faceImage;
			}
		},onShow(){
			this.user=this.carhelp.getPersonInfo();
			
			if(this.user.faceImage){
					this.pic=this.user.faceImage;
			}
		}
	}